/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.model.views;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import org.hibernate.annotations.Immutable;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
@Entity
@Immutable
@Table(name = "APC_LOAN_APPROVED_DETAIL_VIEW")
public class LoanApprovedDetailView implements Serializable {

    private static final long serialVersionUID = 2303382936160293905L;

    @Id
    @Column(name = "id", length = 36)
    private String id;

    @Column(name = "total_to_pay")
    private BigDecimal totalToPay;

    @Column(name = "loan_amount_to_pay")
    private BigDecimal loanAmountToPay;

    @Column(name = "total_fee")
    private BigDecimal totalFee;

    public LoanApprovedDetailView() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public BigDecimal getTotalToPay() {
        return totalToPay;
    }

    public void setTotalToPay(BigDecimal totalToPay) {
        this.totalToPay = totalToPay;
    }

    public BigDecimal getLoanAmountToPay() {
        return loanAmountToPay;
    }

    public void setLoanAmountToPay(BigDecimal loanAmountToPay) {
        this.loanAmountToPay = loanAmountToPay;
    }

    public BigDecimal getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(BigDecimal totalFee) {
        this.totalFee = totalFee;
    }

    @Override
    public String toString() {
        return "LoanApprovedDetailView{" + "totalToPay=" + totalToPay + ", loanAmountToPay=" + loanAmountToPay + ", totalFee=" + totalFee + '}';
    }

}
